Account, security & notifications
Get Required Agreements For Transition
Resolves which onboarding agreement templates a role must sign to transition to a target employment type.
GEThttps://api.toku.com/hris/get-required-agreements-for-transition
Required scope: people:read
curl --request GET \
--url 'https://api.toku.com/hris/get-required-agreements-for-transition?roleInOrgID=%3CroleInOrgID%3E&targetEmploymentType=CONTRACTOR' \
--header 'Authorization: Bearer <token>'200 response
{
"requiredAgreements": [
{
"templateKey": "string",
"displayName": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>requiredtargetEmploymentTypestringrequiredAvailable options: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER
contractorTypestringAvailable options: CLIENT_MANAGED, TOKU_CONTRACTOR, AGENT_OF_RECORD
employmentServiceTypestringAvailable options: EOR, PEO, PAYROLL_ONLY
Response
200Successful response
requiredAgreementsobject[]requiredShow child attributes
templateKeystringrequireddisplayNamestringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits